#
#  Chet Ramey <chet.ramey@case.edu>
#
#  Copyright 1999 Chester Ramey
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2, or (at your option)
#   any later version.
#
#   TThis program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software Foundation,
#   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# replacements for test/[ that do arithmetic expansion on the operands to
# the arithmetic operators, like ksh.
#
function test()
{
        local -i n1 n3
        case "$#" in
        3)      case "$2" in
                -lt|-gt|-eq|-ne|-le|-ge)        n1=$(( $1 ))
                                                n3=$(( $3 ))
                                                builtin test "$n1" $2 "$n3"
                                                return $?;;
                *)      builtin test "$@" ;;
                esac;;                                                          
        *)      builtin test "$@" ;;
        esac
}

function [()
{
        local -i n1 n3
        case "$#" in
        4)      case "$2" in
                -lt|-gt|-eq|-ne|-le|-ge)        n1=$(( $1 ))
                                                n3=$(( $3 ))
                                                builtin [ "$n1" $2 "$n3" ]
                                                return $?;;
                *)      builtin [ "$@" ;;
                esac;;                                                          
        *)      builtin [ "$@" ;;
        esac
}

q=7

[ q -lt 10 ]
echo $?
[ $q -lt 10 ]
echo $?
